Retrieve the status of the Git repository

GET https://{controlplane_path}/api/1/rest/public/apim/repo-status/{path_to_apiversion_or_service}      
Important: This API works for both Classic and APIM 3.0 assets.

Overview

Retrieve the status of the Git repository associated with the specified Classic API version or APIM 3.0 Service.

Prerequisites

  • Environment (Org) admin permissions

Limitations

  • You can't use SnapLogic service accounts to call any of the SnapLogic API Management Git operation APIs.

Request

 GET https://{controlplane_path}/api/1/rest/public/apim/repo-status/{path_to_apiversion_or_service}

Example

This example uses Basic authentication. For a JWT example, refer to Authentication.

curl -X 'GET' \
  'https://elastic.snaplogic.com/api/1/rest/public/apim/repo-status/acme/apim/BookStore/1.0' \
  -H 'Authorization: Basic {base64_encoded email:password}'

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
path_to_apiversion Required. The path to the SnapLogic API version.

Format: /org_name/apim/api/apiversion

Important: The path comparison is case-sensitive.

Query parameters

None.

Request header

Use the application/json content type with basic authentication (email and password) or a JWT. For examples, refer to Authentication.

Request body

None.

Error handling

HTTP status codes Message Resolution
400 Org not found for the user Verify the Org name in the API version path is correct.
401 Unauthorized Verify your credentials and permissions.